POST Update NPC object config and/or GLB upload
POST /resources/objects/{objectId}/npc: Update NPC object config and/or GLB upload. Required scopes: product:write
Are you an LLM? You can read better optimized documentation at /docs/api/endpoints/resource/post-resources-objects-objectId-npc.md for this page in Markdown format
POST
Try it out https://api.rooom.com/resources/objects/{objectId}/npcScopes
product:writeParameters
Path Parameters
| Name | Type | Description |
|---|---|---|
objectIdrequired | string | Object Id |
Body
multipart/form-data| Name | Type | Description |
|---|---|---|
config | string | NPC configuration as JSON string. Send an empty string to remove the config from the object. |
glbFile | file | NPC GLB model file |
Responses
200NPC object updated successfully
400Bad request – missing payload, invalid config, or non-NPC object
401Unauthorized
404Object not found
415Unsupported media type – only GLB uploads are supported
500Internal server error – GLB upload failed
POST /resources/objects/{objectId}/npc Update NPC object config and/or GLB upload Required scopes: product:write objectId Object Id config NPC configuration as JSON string. Send an empty string to remove the config from the object. glbFile NPC GLB model file